Skip to main content
`Ctrl`+`K`

# CHKERRQ

Checks error code returned from PETSc function

## Synopsis

    #include <petscsys.h>
    void CHKERRQ(PetscErrorCode ierr)

Not Collective

## Input Parameter

- ierr - nonzero error code

## Note

Deprecated in favor of `PetscCall()`. This routine behaves identically to it.

## See Also

`PetscCall()`

## Level

deprecated

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages